hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ravi <ravip...@yahoo-inc.com>
Subject Re: ant version problem
Date Sat, 30 Apr 2011 06:58:20 GMT
Daniel McEnnis <dmcennis@...> writes:

> 
> Dear Hadoop,
> 
> Which version of ant do I need to keep the hadoop build from failing.
> Netbeans ant works as well as eclipse ant works. However, ant 1.8.2
> does not, nor does the
> default ant from Ubuntu 10.10.  Snippet from failure to follow:
> 
> BUILD FAILED
> /home/user/src/trunk/build.xml:338: taskdef A class needed by class
> org.apache.hadoop.record.compiler.ant.RccTask cannot be found: Task
>  using the classloader

> Total time: 6 seconds
> 
> Sincerely,
> 
> Daniel McEnnis.
> 
> 


Hi! 

In case you're still facing this problem (unlikely but I wanted to document it
for the others), try setting ant.home in a build.properties file. 

I put it in my home directory. Then run ant veryclean compile

Cheers
Ravi



Mime
View raw message